Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.request
Enum MultipartRequest.ResponseState

    java.lang.Object
      java.lang.Enum<MultipartRequest.ResponseState>
          org.richfaces.request.MultipartRequest.ResponseState

All Implemented Interfaces:
  Serializable, Comparable<MultipartRequest.ResponseState>

Enclosing interface:
  MultipartRequest

    public static enum MultipartRequest.ResponseState

extends Enum<MultipartRequest.ResponseState>

Enum Constant Summary
`ok`
`serverError`
`sizeExceeded`

Method Summary
`static MultipartRequest.ResponseState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MultipartRequest.ResponseState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ok

    public static final MultipartRequest.ResponseState ok

### sizeExceeded

    public static final MultipartRequest.ResponseState sizeExceeded

### serverError

    public static final MultipartRequest.ResponseState serverError

Method Detail

### values

    public static MultipartRequest.ResponseState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MultipartRequest.ResponseState c : MultipartRequest.ResponseState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MultipartRequest.ResponseState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.